.include "config.inc"

.section .rodata

# Initialization table for the 315-5195 memory controller.
.global memory_map_5195
memory_map_5195:
.word 0x0002             /* size = 0x7ffff */
.word (MAINROM_BASE>>16) /* addr = 0x00000000  ROM / Main RAM */
.word 0x000d             /* size = 0x1ffff     flags = 0xC? */
.word (TILERAM_BASE>>16) /* addr = 0x00100000  tile RAM + text RAM */
.word 0x0000             /* size = 0xffff */
.word (PALETTE_BASE>>16) /* addr = 0x00120000  palette RAM */
.word 0x000c             /* size = 0xffff      flags = 0xC? */
.word (SPRITE_BASE>>16)  /* addr = 0x00130000  sprite/object RAM */
.word 0x0008             /* size = 0xffff      flags = 0x8? */
.word (IO_BASE>>16)      /* addr = 0x00140000  I/O Space */
.word 0x000f             /* size = 0x1fffff    flags = 0xC? */
.word (SUBROM_BASE>>16)  /* addr = 0x00200000  CPU 1 ROM/RAM */
.word 0x0000, 0x0000, 0x0000, 0x0000 /* Unused */
